/*
 * cheetahConversion.h
 *
 *  Created on: 22.12.2015
 *      Author: Yaro
 */

#ifndef INCLUDE_CHEETAHCONVERSION_H_
#define INCLUDE_CHEETAHCONVERSION_H_

#include "fastDiffractionImageProcessing/detectorGeometry.h"
#include <Eigen/Dense>

void getDetectorGeometryMatrixFromPixelMaps(const float* pix_x, const float* pix_y, const detectorRawFormat_t detectorRawFormat,
        Eigen::Vector2f** detectorGeometryMatrix);
void deleteDetectorGeometryMatrixMadeFromPixelMaps(Eigen::Vector2f* detectorGeometryMatrix);

#endif /* INCLUDE_CHEETAHCONVERSION_H_ */
